Loading...
Searching...
No Matches
casacore::ValType Class Reference
casa package (libcasa_casa) » Utilities_module

More...

`#include <ValType.h>`

## Static Public Member Functions

static Bool | undefBool ()
| Get the "undefined value" for this data type as the function's return value.
static Char | undefChar ()
static uChar | undefUChar ()
static Short | undefShort ()
static uShort | undefUShort ()
static Int | undefInt ()
static uInt | undefUInt ()
static Int64 | undefInt64 ()
static float | undefFloat ()
static double | undefDouble ()
static Complex | undefComplex ()
static DComplex | undefDComplex ()
static String | undefString ()
static void | getUndef (Bool *)
| Get the "undefined value" for this data type in the argument.
static void | getUndef (Char *)
static void | getUndef (uChar *)
static void | getUndef (Short *)
static void | getUndef (uShort *)
static void | getUndef (Int *)
static void | getUndef (uInt *)
static void | getUndef (Int64 *)
static void | getUndef (float *)
static void | getUndef (double *)
static void | getUndef (Complex *)
static void | getUndef (DComplex *)
static void | getUndef (String *)
static void | getUndef (void *)
static DataType | getType (const Bool *)
| Get the data type code for this type as the function's return value.
static DataType | getType (const Char *)
static DataType | getType (const uChar *)
static DataType | getType (const Short *)
static DataType | getType (const uShort *)
static DataType | getType (const Int *)
static DataType | getType (const uInt *)
static DataType | getType (const Int64 *)
static DataType | getType (const float *)
static DataType | getType (const double *)
static DataType | getType (const Complex *)
static DataType | getType (const DComplex *)
static DataType | getType (const String *)
static DataType | getType (const TableRecord *)
static DataType | getType (const void *)
static const String & | getTypeStr (DataType)
| Get the name of the data type.
static const String & | getTypeStr (const Bool *)
static const String & | getTypeStr (const Char *)
static const String & | getTypeStr (const uChar *)
static const String & | getTypeStr (const Short *)
static const String & | getTypeStr (const uShort *)
static const String & | getTypeStr (const Int *)
static const String & | getTypeStr (const uInt *)
static const String & | getTypeStr (const Int64 *)
static const String & | getTypeStr (const float *)
static const String & | getTypeStr (const double *)
static const String & | getTypeStr (const Complex *)
static const String & | getTypeStr (const DComplex *)
static const String & | getTypeStr (const String *)
static const String & | getTypeStr (const TableRecord *)
static const String & | getTypeStr (const void *)
static int | getTypeSize (DataType)
| Get the size of data type (in local format).
static int | getCanonicalSize (DataType, Bool BECanonical=True)
| Get the size of data type in canonical format.
static void | getCanonicalFunc (DataType dt, Conversion::ValueFunction *&readFunc, Conversion::ValueFunction *&writeFunc, uInt &nrElementsPerValue, Bool BECanonical=True)
| Get the functions to convert to/from canonical format.
static Bool | isPromotable (DataType from, DataType to)
| Test if a data type can be promoted to another.
static ObjCompareFunc * | getCmpFunc (DataType)
| Get the pointer to the routine which compares two values.
static std::shared_ptr< BaseCompare > | getCmpObj (DataType)
| Get the object which compares two values.
static void | put (AipsIO &, const Bool *)
| Put the value into AipsIO.
static void | put (AipsIO &, const Char *)
static void | put (AipsIO &, const uChar *)
static void | put (AipsIO &, const Short *)
static void | put (AipsIO &, const uShort *)
static void | put (AipsIO &, const Int *)
static void | put (AipsIO &, const uInt *)
static void | put (AipsIO &, const Int64 *)
static void | put (AipsIO &, const float *)
static void | put (AipsIO &, const double *)
static void | put (AipsIO &, const Complex *)
static void | put (AipsIO &, const DComplex *)
static void | put (AipsIO &, const String *)
static void | put (AipsIO &, const void *)
static void | get (AipsIO &, Bool *)
| Get the value from AipsIO.
static void | get (AipsIO &, Char *)
static void | get (AipsIO &, uChar *)
static void | get (AipsIO &, Short *)
static void | get (AipsIO &, uShort *)
static void | get (AipsIO &, Int *)
static void | get (AipsIO &, uInt *)
static void | get (AipsIO &, Int64 *)
static void | get (AipsIO &, float *)
static void | get (AipsIO &, double *)
static void | get (AipsIO &, Complex *)
static void | get (AipsIO &, DComplex *)
static void | get (AipsIO &, String *)
static void | get (AipsIO &, void *)
static void | put (ostream &, const Bool *)
| Put the value into the ostream.
static void | put (ostream &, const Char *)
static void | put (ostream &, const uChar *)
static void | put (ostream &, const Short *)
static void | put (ostream &, const uShort *)
static void | put (ostream &, const Int *)
static void | put (ostream &, const uInt *)
static void | put (ostream &, const Int64 *)
static void | put (ostream &, const float *)
static void | put (ostream &, const double *)
static void | put (ostream &, const Complex *)
static void | put (ostream &, const DComplex *)
static void | put (ostream &, const String *)
static void | put (ostream &, const void *)
static int | isDefined (const Bool *value, const Bool *undef)
| Check if a value is defined, i.e.
static int | isDefined (const Char *value, const Char *undef)
static int | isDefined (const uChar *value, const uChar *undef)
static int | isDefined (const Short *value, const Short *undef)
static int | isDefined (const uShort *value, const uShort *undef)
static int | isDefined (const Int *value, const Int *undef)
static int | isDefined (const uInt *value, const uInt *undef)
static int | isDefined (const Int64 *value, const Int64 *undef)
static int | isDefined (const float *value, const float *undef)
static int | isDefined (const double *value, const double *undef)
static int | isDefined (const Complex *value, const Complex *undef)
static int | isDefined (const DComplex *value, const DComplex *undef)
static int | isDefined (const String *value, const String *undef)
static int | isDefined (const void *value, const void *undef)

## Private Member Functions

| ValType ()
| This class is not meant to be constructed.

## Static Private Member Functions

static const String & | strbool ()
static const String & | strchar ()
static const String & | struchar ()
static const String & | strshort ()
static const String & | strushort ()
static const String & | strint ()
static const String & | struint ()
static const String & | strint64 ()
static const String & | strfloat ()
static const String & | strdouble ()
static const String & | strcomplex ()
static const String & | strdcomplex ()
static const String & | strstring ()
static const String & | strrecord ()
static const String & | strtable ()
static const String & | strother ()
static const String & | strunknown ()

## Static Private Attributes

static const Bool | undefbool
static const Char | undefchar
static const uChar | undefuchar
static const Short | undefshort
static const uShort | undefushort
static const Int | undefint
static const uInt | undefuint
static const Int64 | undefint64
static const float | undeffloat
static const double | undefdouble
static const Complex | undefcomplex
static const DComplex | undefdcomplex
static const String | undefstring

## Detailed Description

Data types and their undefined values.

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso olnon
Date Reviewed:
  1995/03/20

### Prerequisite

- enum DataType

### Synopsis

Class ValType describes the data types and their "undefined values".

Supported are built-in data types, Bool, String, Complex and DComplex. As a rule, the smallest possible value of a data type is used as its "undefined value"; for String we use the null string, and for Bool the value False.

The class does not contain data. It merely defines constants and has overloaded functions that return in some form the "undefined value", the data type, or certain other information about the data type.

Definition at line 77 of file ValType.h.

## Constructor & Destructor Documentation

## ValType()

casacore::ValType::ValType | ( |  | ) |

private

This class is not meant to be constructed.

## Member Function Documentation

## get() [1/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | Bool * | value )

inline static

Get the value from AipsIO.

The void* function is not doing anything and is for TpOther types.

Definition at line 508 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [2/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | Char * | value )

inline static

Definition at line 510 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [3/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | Complex * | value )

inline static

Definition at line 528 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [4/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | DComplex * | value )

inline static

Definition at line 530 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [5/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | double * | value )

inline static

Definition at line 526 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [6/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | float * | value )

inline static

Definition at line 524 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [7/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | Int * | value )

inline static

Definition at line 518 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [8/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | Int64 * | value )

inline static

Definition at line 522 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [9/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | Short * | value )

inline static

Definition at line 514 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [10/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | String * | value )

inline static

Definition at line 532 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [11/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | uChar * | value )

inline static

Definition at line 512 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [12/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | uInt * | value )

inline static

Definition at line 520 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [13/14]

void casacore::ValType::get | ( | AipsIO & | ios,
|  | uShort * | value )

inline static

Definition at line 516 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## get() [14/14]

void casacore::ValType::get | ( | AipsIO & | ,
|  | void * | )

inline static

Definition at line 534 of file ValType.h.

## getCanonicalFunc()

void casacore::ValType::getCanonicalFunc | ( | DataType | dt,
|  | Conversion::ValueFunction *& | readFunc,
|  | Conversion::ValueFunction *& | writeFunc,
|  | uInt & | nrElementsPerValue,
|  | Bool | BECanonical = True )

static

Get the functions to convert to/from canonical format.

These functions take the number of pixels as the length argument. It returns the number of elements per value; normally this is 1, but for complex values it is 2 (since they convert float/double).
The argument BECanonical determines if the big-endian or little-endian canonical format is used.

References casacore::True.

## getCanonicalSize()

int casacore::ValType::getCanonicalSize | ( | DataType | ,
|  | Bool | BECanonical = True )

static

Get the size of data type in canonical format.

The argument BECanonical determines if the big-endian or little-endian canonical format is used.

References casacore::True.

## getCmpFunc()

ObjCompareFunc * casacore::ValType::getCmpFunc | ( | DataType |  | ) |

static

Get the pointer to the routine which compares two values.

## getCmpObj()

std::shared_ptr< BaseCompare > casacore::ValType::getCmpObj | ( | DataType |  | ) |

static

Get the object which compares two values.

References casacore::NewDelAllocator< T >::value.

## getType() [1/15]

DataType casacore::ValType::getType | ( | const Bool * |  | ) |

inline static

Get the data type code for this type as the function's return value.

Definition at line 417 of file ValType.h.

## getType() [2/15]

DataType casacore::ValType::getType | ( | const Char * |  | ) |

inline static

Definition at line 419 of file ValType.h.

## getType() [3/15]

DataType casacore::ValType::getType | ( | const Complex * |  | ) |

inline static

Definition at line 437 of file ValType.h.

## getType() [4/15]

DataType casacore::ValType::getType | ( | const DComplex * |  | ) |

inline static

Definition at line 439 of file ValType.h.

## getType() [5/15]

DataType casacore::ValType::getType | ( | const double * |  | ) |

inline static

Definition at line 435 of file ValType.h.

## getType() [6/15]

DataType casacore::ValType::getType | ( | const float * |  | ) |

inline static

Definition at line 433 of file ValType.h.

## getType() [7/15]

DataType casacore::ValType::getType | ( | const Int * |  | ) |

inline static

Definition at line 427 of file ValType.h.

## getType() [8/15]

DataType casacore::ValType::getType | ( | const Int64 * |  | ) |

inline static

Definition at line 431 of file ValType.h.

## getType() [9/15]

DataType casacore::ValType::getType | ( | const Short * |  | ) |

inline static

Definition at line 423 of file ValType.h.

## getType() [10/15]

DataType casacore::ValType::getType | ( | const String * |  | ) |

inline static

Definition at line 441 of file ValType.h.

## getType() [11/15]

DataType casacore::ValType::getType | ( | const TableRecord * |  | ) |

inline static

Definition at line 443 of file ValType.h.

## getType() [12/15]

DataType casacore::ValType::getType | ( | const uChar * |  | ) |

inline static

Definition at line 421 of file ValType.h.

## getType() [13/15]

DataType casacore::ValType::getType | ( | const uInt * |  | ) |

inline static

Definition at line 429 of file ValType.h.

## getType() [14/15]

DataType casacore::ValType::getType | ( | const uShort * |  | ) |

inline static

Definition at line 425 of file ValType.h.

## getType() [15/15]

DataType casacore::ValType::getType | ( | const void * |  | ) |

inline static

Definition at line 445 of file ValType.h.

## getTypeSize()

int casacore::ValType::getTypeSize | ( | DataType |  | ) |

static

Get the size of data type (in local format).

## getTypeStr() [1/16]

const String & casacore::ValType::getTypeStr | ( | const Bool * |  | ) |

inline static

Definition at line 448 of file ValType.h.

References strbool().

## getTypeStr() [2/16]

const String & casacore::ValType::getTypeStr | ( | const Char * |  | ) |

inline static

Definition at line 450 of file ValType.h.

References strchar().

## getTypeStr() [3/16]

const String & casacore::ValType::getTypeStr | ( | const Complex * |  | ) |

inline static

Definition at line 468 of file ValType.h.

References strcomplex().

## getTypeStr() [4/16]

const String & casacore::ValType::getTypeStr | ( | const DComplex * |  | ) |

inline static

Definition at line 470 of file ValType.h.

References strdcomplex().

## getTypeStr() [5/16]

const String & casacore::ValType::getTypeStr | ( | const double * |  | ) |

inline static

Definition at line 466 of file ValType.h.

References strdouble().

## getTypeStr() [6/16]

const String & casacore::ValType::getTypeStr | ( | const float * |  | ) |

inline static

Definition at line 464 of file ValType.h.

References strfloat().

## getTypeStr() [7/16]

const String & casacore::ValType::getTypeStr | ( | const Int * |  | ) |

inline static

Definition at line 458 of file ValType.h.

References strint().

## getTypeStr() [8/16]

const String & casacore::ValType::getTypeStr | ( | const Int64 * |  | ) |

inline static

Definition at line 462 of file ValType.h.

References strint64().

## getTypeStr() [9/16]

const String & casacore::ValType::getTypeStr | ( | const Short * |  | ) |

inline static

Definition at line 454 of file ValType.h.

References strshort().

## getTypeStr() [10/16]

const String & casacore::ValType::getTypeStr | ( | const String * |  | ) |

inline static

Definition at line 472 of file ValType.h.

References strstring().

## getTypeStr() [11/16]

const String & casacore::ValType::getTypeStr | ( | const TableRecord * |  | ) |

inline static

Definition at line 474 of file ValType.h.

References strrecord().

## getTypeStr() [12/16]

const String & casacore::ValType::getTypeStr | ( | const uChar * |  | ) |

inline static

Definition at line 452 of file ValType.h.

References struchar().

## getTypeStr() [13/16]

const String & casacore::ValType::getTypeStr | ( | const uInt * |  | ) |

inline static

Definition at line 460 of file ValType.h.

References struint().

## getTypeStr() [14/16]

const String & casacore::ValType::getTypeStr | ( | const uShort * |  | ) |

inline static

Definition at line 456 of file ValType.h.

References strushort().

## getTypeStr() [15/16]

const String & casacore::ValType::getTypeStr | ( | const void * |  | ) |

inline static

Definition at line 476 of file ValType.h.

References strother().

## getTypeStr() [16/16]

const String & casacore::ValType::getTypeStr | ( | DataType |  | ) |

static

Get the name of the data type.

The void* returns the string "Other ".

Referenced by casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), casacore::ValTypeId_global_functions_typeid::valDataTypeId(), and casacore::ValTypeId_global_functions_typeid::valDataTypeId().

## getUndef() [1/14]

void casacore::ValType::getUndef | ( | Bool * | val | ) |

inline static

Get the "undefined value" for this data type in the argument.

The void* function is not doing anything and is for TpOther types.

Definition at line 388 of file ValType.h.

References undefbool.

## getUndef() [2/14]

void casacore::ValType::getUndef | ( | Char * | val | ) |

inline static

Definition at line 390 of file ValType.h.

References undefchar.

## getUndef() [3/14]

void casacore::ValType::getUndef | ( | Complex * | val | ) |

inline static

Definition at line 408 of file ValType.h.

References undefcomplex.

## getUndef() [4/14]

void casacore::ValType::getUndef | ( | DComplex * | val | ) |

inline static

Definition at line 410 of file ValType.h.

References undefdcomplex.

## getUndef() [5/14]

void casacore::ValType::getUndef | ( | double * | val | ) |

inline static

Definition at line 406 of file ValType.h.

References undefdouble.

## getUndef() [6/14]

void casacore::ValType::getUndef | ( | float * | val | ) |

inline static

Definition at line 404 of file ValType.h.

References undeffloat.

## getUndef() [7/14]

void casacore::ValType::getUndef | ( | Int * | val | ) |

inline static

Definition at line 398 of file ValType.h.

References undefint.

## getUndef() [8/14]

void casacore::ValType::getUndef | ( | Int64 * | val | ) |

inline static

Definition at line 402 of file ValType.h.

References undefint64.

## getUndef() [9/14]

void casacore::ValType::getUndef | ( | Short * | val | ) |

inline static

Definition at line 394 of file ValType.h.

References undefshort.

## getUndef() [10/14]

void casacore::ValType::getUndef | ( | String * | val | ) |

inline static

Definition at line 412 of file ValType.h.

References undefstring.

## getUndef() [11/14]

void casacore::ValType::getUndef | ( | uChar * | val | ) |

inline static

Definition at line 392 of file ValType.h.

References undefuchar.

## getUndef() [12/14]

void casacore::ValType::getUndef | ( | uInt * | val | ) |

inline static

Definition at line 400 of file ValType.h.

References undefuint.

## getUndef() [13/14]

void casacore::ValType::getUndef | ( | uShort * | val | ) |

inline static

Definition at line 396 of file ValType.h.

References undefushort.

## getUndef() [14/14]

void casacore::ValType::getUndef | ( | void * |  | ) |

inline static

Definition at line 414 of file ValType.h.

## isDefined() [1/14]

int casacore::ValType::isDefined | ( | const Bool * | value,
|  | const Bool * | undef )

inline static

Check if a value is defined, i.e.

if it mismatches the given undefined value. The void* function (for non-standard data types) always returns the value 1, since such values cannot be undefined.

Definition at line 567 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [2/14]

int casacore::ValType::isDefined | ( | const Char * | value,
|  | const Char * | undef )

inline static

Definition at line 569 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [3/14]

int casacore::ValType::isDefined | ( | const Complex * | value,
|  | const Complex * | undef )

inline static

Definition at line 587 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [4/14]

int casacore::ValType::isDefined | ( | const DComplex * | value,
|  | const DComplex * | undef )

inline static

Definition at line 589 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [5/14]

int casacore::ValType::isDefined | ( | const double * | value,
|  | const double * | undef )

inline static

Definition at line 585 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [6/14]

int casacore::ValType::isDefined | ( | const float * | value,
|  | const float * | undef )

inline static

Definition at line 583 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [7/14]

int casacore::ValType::isDefined | ( | const Int * | value,
|  | const Int * | undef )

inline static

Definition at line 577 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [8/14]

int casacore::ValType::isDefined | ( | const Int64 * | value,
|  | const Int64 * | undef )

inline static

Definition at line 581 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [9/14]

int casacore::ValType::isDefined | ( | const Short * | value,
|  | const Short * | undef )

inline static

Definition at line 573 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [10/14]

int casacore::ValType::isDefined | ( | const String * | value,
|  | const String * | undef )

inline static

Definition at line 591 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [11/14]

int casacore::ValType::isDefined | ( | const uChar * | value,
|  | const uChar * | undef )

inline static

Definition at line 571 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [12/14]

int casacore::ValType::isDefined | ( | const uInt * | value,
|  | const uInt * | undef )

inline static

Definition at line 579 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [13/14]

int casacore::ValType::isDefined | ( | const uShort * | value,
|  | const uShort * | undef )

inline static

Definition at line 575 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## isDefined() [14/14]

int casacore::ValType::isDefined | ( | const void * | value,
|  | const void * | undef )

inline static

Definition at line 593 of file ValType.h.

## isPromotable()

Bool casacore::ValType::isPromotable | ( | DataType | from,
|  | DataType | to )

static

Test if a data type can be promoted to another.

## put() [1/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const Bool * | value )

inline static

Put the value into AipsIO.

The void* function is not doing anything and is for TpOther types.

Definition at line 479 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [2/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const Char * | value )

inline static

Definition at line 481 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [3/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const Complex * | value )

inline static

Definition at line 499 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [4/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const DComplex * | value )

inline static

Definition at line 501 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [5/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const double * | value )

inline static

Definition at line 497 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [6/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const float * | value )

inline static

Definition at line 495 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [7/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const Int * | value )

inline static

Definition at line 489 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [8/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const Int64 * | value )

inline static

Definition at line 493 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [9/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const Short * | value )

inline static

Definition at line 485 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [10/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const String * | value )

inline static

Definition at line 503 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [11/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const uChar * | value )

inline static

Definition at line 483 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [12/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const uInt * | value )

inline static

Definition at line 491 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [13/28]

void casacore::ValType::put | ( | AipsIO & | ios,
|  | const uShort * | value )

inline static

Definition at line 487 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [14/28]

void casacore::ValType::put | ( | AipsIO & | ,
|  | const void * | )

inline static

Definition at line 505 of file ValType.h.

## put() [15/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const Bool * | value )

inline static

Put the value into the ostream.

The void* function is not doing anything and is for TpOther types.

Definition at line 537 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [16/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const Char * | value )

inline static

Definition at line 539 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [17/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const Complex * | value )

inline static

Definition at line 557 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [18/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const DComplex * | value )

inline static

Definition at line 559 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [19/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const double * | value )

inline static

Definition at line 555 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [20/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const float * | value )

inline static

Definition at line 553 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [21/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const Int * | value )

inline static

Definition at line 547 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [22/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const Int64 * | value )

inline static

Definition at line 551 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [23/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const Short * | value )

inline static

Definition at line 543 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [24/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const String * | value )

inline static

Definition at line 561 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [25/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const uChar * | value )

inline static

Definition at line 541 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [26/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const uInt * | value )

inline static

Definition at line 549 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [27/28]

void casacore::ValType::put | ( | ostream & | ios,
|  | const uShort * | value )

inline static

Definition at line 545 of file ValType.h.

References casacore::NewDelAllocator< T >::value.

## put() [28/28]

void casacore::ValType::put | ( | ostream & | ,
|  | const void * | )

inline static

Definition at line 563 of file ValType.h.

## strbool()

const String & casacore::ValType::strbool | ( |  | ) |

inline static private

Definition at line 284 of file ValType.h.

Referenced by getTypeStr().

## strchar()

const String & casacore::ValType::strchar | ( |  | ) |

inline static private

Definition at line 288 of file ValType.h.

Referenced by getTypeStr().

## strcomplex()

const String & casacore::ValType::strcomplex | ( |  | ) |

inline static private

Definition at line 324 of file ValType.h.

Referenced by getTypeStr().

## strdcomplex()

const String & casacore::ValType::strdcomplex | ( |  | ) |

inline static private

Definition at line 328 of file ValType.h.

Referenced by getTypeStr().

## strdouble()

const String & casacore::ValType::strdouble | ( |  | ) |

inline static private

Definition at line 320 of file ValType.h.

Referenced by getTypeStr().

## strfloat()

const String & casacore::ValType::strfloat | ( |  | ) |

inline static private

Definition at line 316 of file ValType.h.

Referenced by getTypeStr().

## strint()

const String & casacore::ValType::strint | ( |  | ) |

inline static private

Definition at line 304 of file ValType.h.

Referenced by getTypeStr().

## strint64()

const String & casacore::ValType::strint64 | ( |  | ) |

inline static private

Definition at line 312 of file ValType.h.

Referenced by getTypeStr().

## strother()

const String & casacore::ValType::strother | ( |  | ) |

inline static private

Definition at line 344 of file ValType.h.

Referenced by getTypeStr().

## strrecord()

const String & casacore::ValType::strrecord | ( |  | ) |

inline static private

Definition at line 336 of file ValType.h.

Referenced by getTypeStr().

## strshort()

const String & casacore::ValType::strshort | ( |  | ) |

inline static private

Definition at line 296 of file ValType.h.

Referenced by getTypeStr().

## strstring()

const String & casacore::ValType::strstring | ( |  | ) |

inline static private

Definition at line 332 of file ValType.h.

Referenced by getTypeStr().

## strtable()

const String & casacore::ValType::strtable | ( |  | ) |

inline static private

Definition at line 340 of file ValType.h.

## struchar()

const String & casacore::ValType::struchar | ( |  | ) |

inline static private

Definition at line 292 of file ValType.h.

Referenced by getTypeStr().

## struint()

const String & casacore::ValType::struint | ( |  | ) |

inline static private

Definition at line 308 of file ValType.h.

Referenced by getTypeStr().

## strunknown()

const String & casacore::ValType::strunknown | ( |  | ) |

inline static private

Definition at line 348 of file ValType.h.

## strushort()

const String & casacore::ValType::strushort | ( |  | ) |

inline static private

Definition at line 300 of file ValType.h.

Referenced by getTypeStr().

## undefBool()

Bool casacore::ValType::undefBool | ( |  | ) |

inline static

Get the "undefined value" for this data type as the function's return value.

Definition at line 360 of file ValType.h.

References undefbool.

## undefChar()

Char casacore::ValType::undefChar | ( |  | ) |

inline static

Definition at line 362 of file ValType.h.

References undefchar.

## undefComplex()

Complex casacore::ValType::undefComplex | ( |  | ) |

inline static

Definition at line 380 of file ValType.h.

References undefcomplex.

## undefDComplex()

DComplex casacore::ValType::undefDComplex | ( |  | ) |

inline static

Definition at line 382 of file ValType.h.

References undefdcomplex.

## undefDouble()

double casacore::ValType::undefDouble | ( |  | ) |

inline static

Definition at line 378 of file ValType.h.

References undefdouble.

## undefFloat()

float casacore::ValType::undefFloat | ( |  | ) |

inline static

Definition at line 376 of file ValType.h.

References undeffloat.

## undefInt()

Int casacore::ValType::undefInt | ( |  | ) |

inline static

Definition at line 370 of file ValType.h.

References undefint.

## undefInt64()

Int64 casacore::ValType::undefInt64 | ( |  | ) |

inline static

Definition at line 374 of file ValType.h.

References undefint64.

## undefShort()

Short casacore::ValType::undefShort | ( |  | ) |

inline static

Definition at line 366 of file ValType.h.

References undefshort.

## undefString()

String casacore::ValType::undefString | ( |  | ) |

inline static

Definition at line 384 of file ValType.h.

References undefstring.

## undefUChar()

uChar casacore::ValType::undefUChar | ( |  | ) |

inline static

Definition at line 364 of file ValType.h.

References undefuchar.

## undefUInt()

uInt casacore::ValType::undefUInt | ( |  | ) |

inline static

Definition at line 372 of file ValType.h.

References undefuint.

## undefUShort()

uShort casacore::ValType::undefUShort | ( |  | ) |

inline static

Definition at line 368 of file ValType.h.

References undefushort.

## Member Data Documentation

## undefbool

const Bool casacore::ValType::undefbool

static private

Definition at line 270 of file ValType.h.

Referenced by getUndef(), and undefBool().

## undefchar

const Char casacore::ValType::undefchar

static private

Definition at line 271 of file ValType.h.

Referenced by getUndef(), and undefChar().

## undefcomplex

const Complex casacore::ValType::undefcomplex

static private

Definition at line 280 of file ValType.h.

Referenced by getUndef(), and undefComplex().

## undefdcomplex

const DComplex casacore::ValType::undefdcomplex

static private

Definition at line 281 of file ValType.h.

Referenced by getUndef(), and undefDComplex().

## undefdouble

const double casacore::ValType::undefdouble

static private

Definition at line 279 of file ValType.h.

Referenced by getUndef(), and undefDouble().

## undeffloat

const float casacore::ValType::undeffloat

static private

Definition at line 278 of file ValType.h.

Referenced by getUndef(), and undefFloat().

## undefint

const Int casacore::ValType::undefint

static private

Definition at line 275 of file ValType.h.

Referenced by getUndef(), and undefInt().

## undefint64

const Int64 casacore::ValType::undefint64

static private

Definition at line 277 of file ValType.h.

Referenced by getUndef(), and undefInt64().

## undefshort

const Short casacore::ValType::undefshort

static private

Definition at line 273 of file ValType.h.

Referenced by getUndef(), and undefShort().

## undefstring

const String casacore::ValType::undefstring

static private

Definition at line 282 of file ValType.h.

Referenced by getUndef(), and undefString().

## undefuchar

const uChar casacore::ValType::undefuchar

static private

Definition at line 272 of file ValType.h.

Referenced by getUndef(), and undefUChar().

## undefuint

const uInt casacore::ValType::undefuint

static private

Definition at line 276 of file ValType.h.

Referenced by getUndef(), and undefUInt().

## undefushort

const uShort casacore::ValType::undefushort

static private

Definition at line 274 of file ValType.h.

Referenced by getUndef(), and undefUShort().

The documentation for this class was generated from the following file:

- casa/Utilities/ValType.h